/***************************************************************************
                          sqlshow.cpp  -  description
                             -------------------
    begin                : Tue Feb 25 2003
    copyright            : (C) 2003 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "sqlshow.h"
#include <qtextedit.h>
#include <klocale.h>

sqlEditor::sqlEditor( QString sql = QString::null, QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal=false, fl )
{

	if ( !name ){ setName( "sqlEditor" ); }

	const QString catalogue = "sqlguipart";
	kl = new KLocale( catalogue, 0 );
	kl->setActiveCatalogue( catalogue );
	kl->setMainCatalogue( "sqlguipart" );

	resize( 400, 200 );

	QBoxLayout* box = new QBoxLayout( this, QBoxLayout::TopToBottom);
	QTextEdit* te = new QTextEdit(this);
	te->setReadOnly(TRUE) ;
	box->addWidget( te );
	if( sql != QString::null ){
		sql.append(";");
		te->setText( sql );
	}
}

sqlEditor::~sqlEditor(){
// empty
}
