/****************************************************************************
** Form implementation generated from reading ui file 'adddata.ui'
**
** Created: Sun Apr 21 14:33:44 2002
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "adddata.h"

#include <qvariant.h>
#include <qframe.h>
#include <qpushbutton.h>
#include <qtable.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>
#include <qcheckbox.h>
#include <qpopupmenu.h>

#include <kapplication.h>
#include <klocale.h>

#include <qbitarray.h>

#include <iostream>
#include <iomanip>


/*
 *  Constructs a AddData which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
AddData::AddData( QWidget* parent,  const char* name, bool modal, WFlags fl, int columns )
		: QDialog( parent, name, modal, fl )
{

	const QString catalogue = "sqlguipart";
	kl = new KLocale( catalogue, 0 );
	kl->setActiveCatalogue( catalogue );
	kl->setMainCatalogue( "sqlguipart" );

	if ( !name )
		setName( "AddData" );
	resize( 667, 415 );
	setCaption( kl->translate( i18n( "Add Data" )));
	setSizeGripEnabled( TRUE );
	AddDataLayout = new QVBoxLayout( this, 11, 6, "AddDataLayout");


	Frame3 = new QFrame( this, "Frame3" );
	Frame3->setFrameShape( QFrame::StyledPanel );
	Frame3->setFrameShadow( QFrame::Raised );
	Frame3Layout = new QHBoxLayout( Frame3, 11, 6, "Frame3Layout");

	TableData = new QTable( Frame3, "TableData" );
	TableData->setNumRows( TableData->numRows() + 1 );    TableData->verticalHeader()->setLabel( TableData->numRows() - 1, ( "1" ) );
	TableData->setNumRows( 1 );

	TableData->setNumCols( columns );

	Frame3Layout->addWidget( TableData );
	AddDataLayout->addWidget( Frame3 );

	Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1");
	autoCheck = new QCheckBox( this, "autoCheck" );
	autoCheck->setText( kl->translate( i18n( "manually overwrite AutoInc-Fields" )));
	autoCheck->setChecked(false);
	Layout1->addWidget( autoCheck );

	QWhatsThis::add(  autoCheck, kl->translate( i18n("Check this, if you want to overwrite the auto-increment-value of this table. Be sure to fill out all necessary fields for this column. If you want mysql to set the auto-increment value itself, leave this unchecked, so sqlgui won't give the auto-increment-colum in its insert-statement.")));

	QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
	Layout1->addItem( spacer );

	buttonOk = new QPushButton( this, "buttonOk" );
	buttonOk->setText( kl->translate( i18n( "Insert Data" )));
	buttonOk->setAccel( 0 );
	buttonOk->setAutoDefault( TRUE );
	buttonOk->setDefault( TRUE );
	Layout1->addWidget( buttonOk );

	buttonCancel = new QPushButton( this, "buttonCancel" );
	buttonCancel->setText( kl->translate( i18n( "Cancel" )));
	buttonCancel->setAccel( 0 );
	buttonCancel->setAutoDefault( TRUE );
	Layout1->addWidget( buttonCancel );
	AddDataLayout->addLayout( Layout1 );
	tableName = new QString("XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX");
	dbName    = new QString("XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX");
	tooltip   = new QString("XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX");

	isPrimary = new QBitArray(256);
	isAutoInc = new QBitArray(256);

	// signals and slots connections
	connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
	connect( buttonOk, SIGNAL( clicked() ), this, SLOT( doInsert() ) );
	connect( TableData, SIGNAL( valueChanged(int, int) ), this, SLOT( slotAddRow(int, int) ) );
	//		connect( this, SIGNAL( allRequestsFired() ), this, SLOT( accept() ) );
	connect( this, SIGNAL( allRequestsSucceded() ), this, SLOT( accept() ) );
	connect( this, SIGNAL( allRequestsFinished() ), this, SLOT( slotClearSucceded() ) );

	connect( TableData, SIGNAL(contextMenuRequested( int, int, const QPoint &)), this, SLOT( slotTabMenu( int, int, const QPoint &)) );

	clickedRow = -1;
	numQuerySucceded = 0;
	numQueryFailed = 0;
	numQueryRow = 0;
	allQueries = 0;

	rowSucceded = new QBitArray( allQueries );

	tooltip->setLatin1("");
}

/*
 *  Destroys the object and frees any allocated resources
 */
AddData::~AddData()
{
	// no need to delete child widgets, Qt does it all for us
}

void AddData::setTab(QString* tabname){
	tableName->setLatin1( tabname->latin1() );
	tooltip->insert(0, *tabname);
	tooltip->insert(0, kl->translate( i18n("Table: ")));
}

void AddData::setDb(QString* dbname){
	dbName->setLatin1( dbname->latin1() );
}

void AddData::slotQueryFailed(){

	if( numQueryRow < rowSucceded->size() ){
		(*rowSucceded)[numQueryRow] = 0;
		// std::cout << "failed row " << numQueryRow << endl;
		numQueryRow++;
		numQueryFailed++;

		if ( numQueryRow == allQueries ) emit( allRequestsFinished() );
	}
}

void AddData::slotQuerySucceded(){

	if( numQueryRow < rowSucceded->size() ){
		(*rowSucceded)[numQueryRow] = 1;
		// std::cout << "succeded row " << numQueryRow << endl;

		numQueryRow++;
		numQuerySucceded++;

		if ( numQueryRow == allQueries ) emit( allRequestsFinished() );
		if ( numQuerySucceded == allQueries ) emit( allRequestsSucceded() );
	}
}

void AddData::slotClearSucceded(){
	int removed = 0;
	for(int j=0; j < allQueries; j++){
		// std::cout << "Totally Removed: " << removed << endl;
		// std::cout << "Checking table-row " << j << endl;
		if ( (*rowSucceded)[ j ] == 1 ){
			// std::cout << "row succeded" << endl;
			slotRemoveRowNum( j - removed );
			// std::cout << "removing row from dialog" << endl;
			removed++;
		} else {
			// std::cout << "row not succeded" << endl;
			// std::cout << "leaving row in dialog" << endl;
		}
	}

	//	numQuerySucceded = 0;
	//	numQueryFailed = 0;
	//	numQueryRow = 0;

}

void AddData::addCol(QString* colname, bool isPrim, bool isAuto){
	if(isPrim) (*isPrimary)[ TableData->numCols() ] = 1;
	else (*isPrimary)[ TableData->numCols() ] = 0;
	if(isAuto) (*isAutoInc)[ TableData->numCols() ] = 1;
	else (*isAutoInc)[ TableData->numCols() ] = 0;
	TableData->insertColumns( TableData->numCols(), 1);
	TableData->horizontalHeader()->setLabel( TableData->numCols() - 1, *colname );

	if (isAuto){
		tooltip->append( kl->translate( i18n("\nAuto Increment: ")));
		tooltip->append( colname->latin1() );
	}
	if (isPrim){
		tooltip->append( kl->translate( i18n("\nPrimary Key: ")));
		tooltip->append( colname->latin1() );
	}
	QToolTip::add( TableData, tooltip->latin1());
}

void AddData::slotAddRow(int row, int col){
	if( (row+1) == TableData->numRows() ){
		TableData->insertRows( TableData->numRows(), 1 );
	}
}

void AddData::slotTabMenu( int row, int col, const QPoint & pos )
{
	clickedRow = row;
	QPopupMenu * menu = new QPopupMenu;
	QString * removerow = new QString( kl->translate( i18n("Remove this row")));
	menu->insertItem( *removerow, this, SLOT( slotRemoveRow() ) );
	menu->exec(pos);

}

void AddData::slotDoNothin(){

}

void AddData::slotRemoveRow(){
	TableData->removeRow( clickedRow );
}

void AddData::slotRemoveRowNum( int num){
	TableData->removeRow( num );
}


void AddData::doInsert()
{

	numQuerySucceded = 0;
	numQueryFailed = 0;
	numQueryRow = 0;

	// Last row will be ALLWAYS empty...!!!
	allQueries = TableData->numRows() - 1;
	//rowSucceded = new QBitArray( allQueries );
	rowSucceded->resize( allQueries );

	for (int r = 0; r < TableData->numRows() - 1; r++ ){

		QString* insertQuery = new QString("XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX");
		insertQuery->setLatin1("Insert into ");
		insertQuery->append( tableName->latin1() );
		insertQuery->append( " ( " );

		bool overiteAuto = autoCheck->isChecked();

		for(int c = 0; c < TableData->numCols(); c++){
			if ( overiteAuto ){
				insertQuery->append( TableData->horizontalHeader()->label(c) );
				insertQuery->append( " , ");
			} else {
				if( (*isAutoInc)[ c ] == 0 ){
					insertQuery->append( TableData->horizontalHeader()->label(c) );
					insertQuery->append( " , ");
				}
			}
		}
		insertQuery->remove( insertQuery->length()-2, 2);
		insertQuery->append( " ) values ( ");

		for (int c = 0; c < TableData->numCols(); c++ ){
			if ( overiteAuto ){
				insertQuery->append( "'");
				insertQuery->append( TableData->text(r,c) );
				insertQuery->append( "' , ");
			} else {
				if( (*isAutoInc)[ c ] == 0 ){
					insertQuery->append( "'");
					insertQuery->append( TableData->text(r,c) );
					insertQuery->append( "' , ");
				}
			}
		}

		insertQuery->remove( insertQuery->length()-2, 2);
		insertQuery->append( " ) ");

		//			// std::cout << "Insert-Statement: " << endl;
		//			// std::cout << insertQuery->latin1() << endl;

		emit( insertRequest( dbName, insertQuery ) );
	} // ende for r
	emit( allRequestsFired() );
}

