/****************************************************************************
** Form implementation generated from reading ui file 'login.ui'
**
** Created: Fri Apr 20 14:30:47 2001
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "login.h"
#include <kapplication.h>
#include <klocale.h>

#include <iostream>
#include <iomanip>


/* 
 *  Constructs a Login_box which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */

Login_box::Login_box( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{

    QLabel* Host;
    QLabel* User;
    QPushButton* ok;
    QPushButton* cancel;
    QLabel* Password;


    if ( !name )
		setName( "Login_box" );
    resize( 465, 150 ); 
    setMinimumSize( QSize( 100, 50 ) );
    setCaption( tr( "Connect" ) );

    Host = new QLabel( this, "Host:" );
    Host->setGeometry( QRect( 10, 0, 110, 30 ) ); 
    Host->setText( tr( "Host:" ) );

    User = new QLabel( this, "User" );
    User->setGeometry( QRect( 10, 30, 110, 30 ) ); 
    User->setText( tr( "User:" ) );

    ok = new QPushButton( this, "ok" );
    ok->setGeometry( QRect( 340, 100, 111, 31 ) ); 
    ok->setText( tr( "OK" ) );
    ok->setDefault( TRUE );

    cancel = new QPushButton( this, "cancel" );
    cancel->setGeometry( QRect( 180, 100, 151, 31 ) ); 
    cancel->setText( tr( "Cancel" ) );

    Password = new QLabel( this, "Password:" );
    Password->setGeometry( QRect( 10, 60, 110, 30 ) ); 
    Password->setText( tr( "Password:" ) );

    host = new QLineEdit( this, "host" );
    host->setGeometry( QRect( 120, 0, 340, 31 ) ); 
    host->setText( "localhost" );
    QWhatsThis::add(  host, tr( "Host to connect" ) );

    user = new QLineEdit( this, "user" );
    user->setGeometry( QRect( 120, 30, 340, 30 ) ); 
    user->setText( "nobody" );
    QWhatsThis::add(  user, tr( "Enter your username" ) );

    passwd = new QLineEdit( this, "passwd" );
    passwd->setGeometry( QRect( 120, 60, 340, 30 ) ); 
    passwd->setEchoMode( QLineEdit::Password );
    passwd->setText( "" );
    QWhatsThis::add(  passwd, tr( "Enter your password" ) );

    // signals and slots connections
    connect( host, SIGNAL( returnPressed() ), this, SLOT( slotLogin() ) );
    connect( this, SIGNAL( successfullLogin() ), this, SLOT( accept() ) );
    connect( user, SIGNAL( returnPressed() ), this, SLOT( slotLogin() ));
    connect( passwd, SIGNAL( returnPressed() ), this, SLOT( slotLogin() ));
    connect( ok, SIGNAL( clicked() ), this, SLOT( slotLogin() ));
    connect( cancel, SIGNAL( clicked() ), this, SLOT( reject() ) );

}

Login_box::Login_box( QWidget* parent,  const char* name, bool modal, WFlags fl , QString h, QString u)
    : QDialog( parent, name, modal, fl )
{

    QLabel* Host;
    QLabel* User;
    QPushButton* ok;
    QPushButton* cancel;
    QLabel* Password;


    if ( !name )
		setName( "Login_box" );
    resize( 465, 150 );
    setMinimumSize( QSize( 100, 50 ) );
    setCaption( tr( "Connect" ) );

    Host = new QLabel( this, "Host:" );
    Host->setGeometry( QRect( 10, 0, 110, 30 ) );
    Host->setText( tr( "Host:" ) );

    User = new QLabel( this, "User" );
    User->setGeometry( QRect( 10, 30, 110, 30 ) );
    User->setText( tr( "User:" ) );

    ok = new QPushButton( this, "ok" );
    ok->setGeometry( QRect( 340, 100, 111, 31 ) );
    ok->setText( tr( "OK" ) );
    ok->setDefault( TRUE );

    cancel = new QPushButton( this, "cancel" );
    cancel->setGeometry( QRect( 180, 100, 151, 31 ) );
    cancel->setText( tr( "Cancel" ) );

    Password = new QLabel( this, "Password:" );
    Password->setGeometry( QRect( 10, 60, 110, 30 ) );
    Password->setText( tr( "Password:" ) );

    host = new QLineEdit( this, "host" );
    host->setGeometry( QRect( 120, 0, 340, 31 ) );
//    host->setText( "localhost" );
    host->setText( h.latin1() );
    QWhatsThis::add(  host, tr( "Host to connect" ) );

    user = new QLineEdit( this, "user" );
    user->setGeometry( QRect( 120, 30, 340, 30 ) );
//    user->setText( "nobody" );
		user->setText( u.latin1() );
    QWhatsThis::add(  user, tr( "Enter your username" ) );

    passwd = new QLineEdit( this, "passwd" );
    passwd->setGeometry( QRect( 120, 60, 340, 30 ) );
    passwd->setEchoMode( QLineEdit::Password );
    passwd->setText( "" );
    QWhatsThis::add(  passwd, tr( "Enter your password" ) );

    // signals and slots connections
    connect( host, SIGNAL( returnPressed() ), this, SLOT( slotLogin() ) );
    connect( this, SIGNAL( successfullLogin() ), this, SLOT( accept() ) );
    connect( user, SIGNAL( returnPressed() ), this, SLOT( slotLogin() ));
    connect( passwd, SIGNAL( returnPressed() ), this, SLOT( slotLogin() ));
    connect( ok, SIGNAL( clicked() ), this, SLOT( slotLogin() ));
    connect( cancel, SIGNAL( clicked() ), this, SLOT( reject() ) );

}


/*  
 *  Destroys the object and frees any allocated resources
 */
Login_box::~Login_box()
{
    // no need to delete child widgets, Qt does it all for us
}

void Login_box::slotSetServer( QString server ){
	host->setText( server );
}

void Login_box::slotSetUser( QString person ){
	user->setText( person );
}

void Login_box::slotLogin()
{
  emit( loginRequest( host->text(),user->text() , passwd->text()  ) );
  emit( successfullLogin() );
}

void Login_box::slotClear()
{
    host->setText(QString::null);
    user->setText(QString::null);
    passwd->setText(QString::null);
}


