/***************************************************************************
                          reporteditor.h  -  description
                             -------------------
    begin                : Wed Feb 26 2003
    copyright            : (C) 2003 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef REPORTEDITOR_H
#define REPORTEDITOR_H

#include <qvariant.h>
#include <qdialog.h>
#include <qlayout.h>

class QTable;
class KLocale;

class reportEditor : public QDialog
{
    Q_OBJECT

public:
    reportEditor( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~reportEditor();

public slots:
	void slotSetReport1( QString q );
	void slotSetReport2( QString q );
	void slotSetReport3( QString q );
	void slotSetReport4( QString q );
	void slotSetReport5( QString q );
	void slotSetReport6( QString q );
	void slotSetReport7( QString q );
	void slotSetReport8( QString q );
	void slotSetReport9( QString q );
	void slotSetReport10( QString q );
	
protected slots:
	void slotChangeQueries();

signals:
	void report1Changed( QString q);
	void report2Changed( QString q);
	void report3Changed( QString q);
	void report4Changed( QString q);
	void report5Changed( QString q);
	void report6Changed( QString q);
	void report7Changed( QString q);
	void report8Changed( QString q);
	void report9Changed( QString q);
	void report10Changed( QString q);

protected:
  KLocale * kl;

private:
	QString report1;
	QString report2;
	QString report3;
	QString report4;
	QString report5;
	QString report6;
	QString report7;
	QString report8;
	QString report9;
	QString report10;
	QTable * te;
};

#endif // REPORTEDITOR_H
