/***************************************************************************
                          sqlgui_part.cpp  -  description
                             -------------------
    begin                : Sat Apr 14 18:28:06 CEST 2001
    copyright            : (C) 2001 by mb
    email                : marcus@beranek.de
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// include files for QT
#include <qdir.h>
#include <qprinter.h>
#include <qpainter.h>
#include <kurl.h>
#include <qtranslator.h>
#include <qregexp.h>

// include files for KDE
#include <kiconloader.h>
#include <kmessagebox.h>
#include <kfiledialog.h>
#include <kmenubar.h>
#include <klocale.h>
#include <kconfig.h>
#include <kstdaction.h>
#include <kstatusbar.h>
#include <kservicetype.h>
#include <kapplication.h>
#include <kaction.h>
#include <kaboutdata.h>

// application specific includes
#include "sqlgui_part.h"
#include "sqlguiview.h"
//#include "sqlguidoc.h"
#include "dbtypes.h"
#include "reporteditor.h"
#include <klineeditdlg.h>

#include "sqlguidoc.h"

//#include <sqlguimysql/sqlguidoc.h>
//#include <sqlguimysql/sqlguidoc_mysql.h>

#include "loginbox.h"

#include <qmessagebox.h> 
#include <qnamespace.h>
#include <qregexp.h>
#include <kparts/part.h>
#include <kparts/browserextension.h>
#include <kaboutdata.h>

#include "tablegenerator.h"
#include "basecreator.h"

#include "sqlgui_factory.h"

#include <iostream>
#include <iomanip>
#include <dlfcn.h>

// #include <kio/slaveinterface.h>
// #include <kio/slavebase.h>
// #include <kio/connection.h>
// #include <kio/slave.h>
// #include <kextsock.h>
// #include <ksock.h>

#include "sqlgui_factory.h"

//#define ID_STATUS_MSG 1

SqlGuiPart::SqlGuiPart(QWidget* parentWidget, const char* widgetName, QObject* parent, const char* name, const QStringList &args ): KParts::ReadOnlyPart(parent, name){
  myParentWidget = parentWidget;
  setInstance( SqlGuiFactory::instance() );
  //  setXMLFile( "/home/marcus/sqlguipart/sqlguipart/sqlguipart.rc" );
  setXMLFile( "sqlguipart/sqlguipart.rc" );


  // This doesn't work here, this is a dumb KDE-library:
  //  QTranslator translator( 0 );
  //  translator.load( "sqlguipart", "." );
  //  qApp->installTranslator( &translator );

  // Translation in kparts suxx!!!
  // The loaded part does NOT get translated automatically just by using the i18n macro, like in usual apps!
	
  const QString catalogue = "sqlguipart";
  kl = new KLocale( catalogue, 0 );
  kl->setActiveCatalogue( catalogue );
  kl->setMainCatalogue( "sqlguipart" );

  // Try this, and you'll see:
  //	// std::cout << kl->translate( i18n("Table") ).latin1() << endl;    // works
  //	// std::cout << kl->translate( "Table" ).latin1() << endl;          // works
  //	// std::cout <<  i18n("Table")  << endl;                            // doesn't work


  // QPtrList<QString> reportlist;
  
  //reportlist.setAutoDelete( TRUE ); // the list owns the objects

  //reportlist.append( new QString("SELECT * FROM anzeigen" ) );
  //reportlist.append( new QString("SELECT count(*) FROM anzeigen" ) );
  //reportlist.append( new QString("SELECT MAX(id) FROM anzeigen" ) );
  
  // r1 = "SELECT * FROM anzeigen";
  // r2 = "SELECT count(*) FROM anzeigen";
  // r3 = "SELECT MAX(id) FROM anzeigen";
  // r4 = "";
  // r5 = "";
  // r6 = "";
  // r7 = "";
  // r8 = "";
  // r9 = "";
  // r10 = "";

  config = new KConfig( "sqlguipartrc", false, true, "config");
  initActions();
  initView( myParentWidget );
  readOptions();
  doc = NULL;



  (void) new KParts::BrowserExtension( this );
  ((QWidget*)view)->setFocusPolicy(QWidget::ClickFocus);

//  initActions();
//  initDocument();
//  config = new KConfig( "sqlguipartrc", false, true, "config");
//  readOptions();
//  initView( myParentWidget );
//  initActions();
//
//  initDocument();
//  view->setDocument( doc );
//  doc->setView( view );
//
//  (void) new KParts::BrowserExtension( this );
//  ((QWidget*)view)->setFocusPolicy(QWidget::ClickFocus);


/////////////////////////////////////////////////////////////////////////////
// verschoben hinter den Login-Dialog:
/////////////////////////////////////////////////////////////////////////////
//
//  initDocument();
//  view->setDocument( doc );
//  doc->setView( view );
//
//  connect( doc, SIGNAL( DbQueryError( QString* ) ), this, SLOT( slotDisplayErrorMsg(QString *) ) );
//  connect( doc, SIGNAL( connectionChanged() ), view, SLOT( slotUpdateMainView() ) );
//  connect( doc, SIGNAL( connectionChanged() ), this, SLOT( slotSomethingChanged() ) );
//  connect( doc, SIGNAL( connectionChanged() ), this, SIGNAL( connectionComplete() ) );
//
//  connect( doc, SIGNAL( loginError() ), this, SLOT( slotSomethingWeirdHappened() ) );
//
//  connect( view, SIGNAL( doQuery(QString*, QString*) ), doc, SLOT( slotDoQuery(QString*, QString* )  )  );
//  connect( view, SIGNAL( statusBarRequest( const QString & ) ), this, SLOT( slotStatusMsg( const QString & ) ) );
//  connect( view, SIGNAL( serverStatusRequested() ), doc, SLOT( slotServerStatus() ) );
//  connect( doc, SIGNAL( serverStatus( QString ) ), this, SLOT( slotShowServerStatus( QString ) ) );
//  connect( view, SIGNAL( countRowRequested( QString*, QString* ) ), doc, SLOT( slotCountRows( QString*, QString* ) ) );
//  connect( view, SIGNAL( selectionChanged( bool ) ), this, SLOT( slotEnableExport( bool ) ) );
//
//
//  connect( doc, SIGNAL( resultChanged() ), view, SLOT( slotUpdateResultList() ) );
//  connect( doc, SIGNAL( lastActionChanged( QString*, QString*, QString* ) ), view, SLOT( slotUpdateLastAction( QString*, QString*, QString* ) ) );
//  connect( view, SIGNAL( createTable() ), this,  SLOT( slotFileNew() ));
//  connect( view, SIGNAL( createDb() ), this,  SLOT( slotBaseNew() ));
//  connect( doc, SIGNAL( QueryDone() ), view, SLOT( slotQueryDone() ) );
//  connect( doc, SIGNAL( DbQueryError( QString* ) ), view, SLOT( slotQueryUnDone() ) );
//
//  connect( view, SIGNAL( deleteDb( QString* ) ), doc,  SLOT( slotDbDelete( QString* ) ));
//  connect( view, SIGNAL( deleteTable( QString*, QString* ) ), doc,  SLOT( slotTableDelete( QString*, QString* ) ));
//  connect( view, SIGNAL( checkTable( QString*, QString* ) ), doc,  SLOT( slotTableCheck( QString*, QString* ) ));
//  connect( view, SIGNAL( optimizeTable( QString*, QString* ) ), doc,  SLOT( slotTableOptimize( QString*, QString* ) ));
//  connect( view, SIGNAL( repairTable( QString*, QString* ) ), doc,  SLOT( slotTableRepair( QString*, QString* ) ));
//  connect( view, SIGNAL( gotResult() ), doc,  SLOT( slotClearMemory() ));
//
/////////////////////////////////////////////////////////////////////////////
// verschoben bis hier
/////////////////////////////////////////////////////////////////////////////

//  createDocument();

  // disable actions at startup
  fileSave->setEnabled( false );
  fileSaveAs->setEnabled(false);
  filePrint->setEnabled(false);
  editCut->setEnabled(false);
  editCopy->setEnabled(false);
  editPaste->setEnabled(false);
  
  slotSetFastMode();


  re = new reportEditor();
  connect( re, SIGNAL( report1Changed( QString ) ), this, SLOT( slotSetReport1( QString ) ) );
  connect( re, SIGNAL( report2Changed( QString ) ), this, SLOT( slotSetReport2( QString ) ) );
  connect( re, SIGNAL( report3Changed( QString ) ), this, SLOT( slotSetReport3( QString ) ) );
  connect( re, SIGNAL( report4Changed( QString ) ), this, SLOT( slotSetReport4( QString ) ) );
  connect( re, SIGNAL( report5Changed( QString ) ), this, SLOT( slotSetReport5( QString ) ) );
  connect( re, SIGNAL( report6Changed( QString ) ), this, SLOT( slotSetReport6( QString ) ) );
  connect( re, SIGNAL( report7Changed( QString ) ), this, SLOT( slotSetReport7( QString ) ) );
  connect( re, SIGNAL( report8Changed( QString ) ), this, SLOT( slotSetReport8( QString ) ) );
  connect( re, SIGNAL( report9Changed( QString ) ), this, SLOT( slotSetReport9( QString ) ) );
  connect( re, SIGNAL( report10Changed( QString ) ), this, SLOT( slotSetReport10( QString ) ) );

}

SqlGuiPart::~SqlGuiPart(){
  saveOptions();
}

void SqlGuiPart::createDocument( int type ){

  initDocument( type );
  if(doc){
    view->setDocument( doc );
    doc->setView( view );

    connect( doc, SIGNAL( DbQueryError( QString* ) ), this, SLOT( slotDisplayErrorMsg(QString *) ) );
    connect( doc, SIGNAL( connectionChanged() ), view, SLOT( slotUpdateMainView() ) );
    connect( doc, SIGNAL( connectionChanged() ), this, SLOT( slotSomethingChanged() ) );
    connect( doc, SIGNAL( connectionChanged() ), this, SIGNAL( connectionComplete() ) );

    connect( doc, SIGNAL( loginError() ), this, SLOT( slotSomethingWeirdHappened() ) );

    connect( view, SIGNAL( doQuery(QString*, QString*) ), doc, SLOT( slotDoQuery(QString*, QString* )  )  );
    connect( view, SIGNAL( statusBarRequest( const QString & ) ), this, SLOT( slotStatusMsg( const QString & ) ) );
    connect( view, SIGNAL( serverStatusRequested() ), doc, SLOT( slotServerStatus() ) );
    connect( doc, SIGNAL( serverStatus( QString ) ), this, SLOT( slotShowServerStatus( QString ) ) );
    connect( view, SIGNAL( countRowRequested( QString*, QString* ) ), doc, SLOT( slotCountRows( QString*, QString* ) ) );
    connect( view, SIGNAL( selectionChanged( bool ) ), this, SLOT( slotEnableExport( bool ) ) );

    connect( doc, SIGNAL( resultChanged() ), view, SLOT( slotUpdateResultList() ) );
    connect( doc, SIGNAL( lastActionChanged( QString*, QString*, QString* ) ), view, SLOT( slotUpdateLastAction( QString*, QString*, QString* ) ) );
    connect( view, SIGNAL( createTable() ), this,  SLOT( slotFileNew() ));
    connect( view, SIGNAL( createDb() ), this,  SLOT( slotBaseNew() ));
    connect( doc, SIGNAL( QueryDone() ), view, SLOT( slotQueryDone() ) );
    connect( doc, SIGNAL( DbQueryError( QString* ) ), view, SLOT( slotQueryUnDone() ) );

    connect( view, SIGNAL( deleteDb( QString* ) ), doc,  SLOT( slotDbDelete( QString* ) ));
    connect( view, SIGNAL( deleteTable( QString*, QString* ) ), doc,  SLOT( slotTableDelete( QString*, QString* ) ));
    connect( view, SIGNAL( checkTable( QString*, QString* ) ), doc,  SLOT( slotTableCheck( QString*, QString* ) ));
    connect( view, SIGNAL( optimizeTable( QString*, QString* ) ), doc,  SLOT( slotTableOptimize( QString*, QString* ) ));
    connect( view, SIGNAL( repairTable( QString*, QString* ) ), doc,  SLOT( slotTableRepair( QString*, QString* ) ));
    connect( view, SIGNAL( gotResult() ), doc,  SLOT( slotClearMemory() ));

    connect( doc, SIGNAL( NewDbCreated() ), this, SLOT( slotDocReConnect() ) );
    connect( doc, SIGNAL( DbErased() ), this, SLOT( slotDocReConnect() ) );
    connect( doc, SIGNAL( TableErased() ), this, SLOT( slotDocReConnect() ) );
  }
}

bool SqlGuiPart::process(const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData){
  return true;
}

bool SqlGuiPart::isConnected(){
  if( doc) return doc->isConnected();
  else return false;
}

KAboutData* SqlGuiPart::createAboutData(){
  KAboutData* aboutData = new KAboutData( "sqlgui", I18N_NOOP("SqlGui"), "0.5.1", I18N_NOOP("A graphical database-frontend"), KAboutData::License_GPL, "(c) 1999 - 2003, Marcus Beranek <marcus@sqlgui.de>" );
  aboutData->addAuthor(I18N_NOOP("Official website and contact"),"","marcus@sqlgui.de","http://www.sqlgui.de");
  aboutData->addAuthor(I18N_NOOP("Marcus Beranek (Author)"),"","marcus@beranek.de","http://www.beranek.de");
  aboutData->addCredit(I18N_NOOP("Sean Pecor"),"Design of new iconset","", "");
  return aboutData;
}

void SqlGuiPart::slotShowServerStatus( QString stat ){
  if(doc){
    QString *h = new QString("Host: ");
    h->append( doc->getHost() );
    h->append("\n\n");
    stat.prepend(*h);	
  }
  QMessageBox::information( myParentWidget, kl->translate(i18n( "Server-Status" )).local8Bit() , kl->translate( i18n( stat.latin1() )));
}

base_t SqlGuiPart::getDBObj(){
  if(doc) return *( doc->getDBs() );
  else{ // return something empty... :|
    base_t *b = new base_t;
    b->next = NULL;
    return *b;
  }
}

void SqlGuiPart::slotDocReConnect(){
  if(doc) doc->slotReConnect();
}

void SqlGuiPart::slotEnableExport( bool on ){
  fileSave->setEnabled( on );
}

void SqlGuiPart::slotDeleteTableRequest(){
  view->deleteTable();
}

void SqlGuiPart::slotDeleteBaseRequest(){
  view->deleteBase();
}

void SqlGuiPart::slotSomethingChanged(){
  if(doc){
    emit( userChanged( doc->getUser() ) );
    emit( hostChanged( doc->getHost() ) );
    saveOptions();
    if( doc->getDBs() ){
      emit(setStatusBarText( QString::QString( "Connected" )));
    }
  }
}

void SqlGuiPart::slotSomethingWeirdHappened(){
  emit( userChanged( QString::QString("No user") ) );
  emit( hostChanged( QString::QString("No host") ) );
  emit( setStatusBarText( QString::QString( "Not connected" ) ) );
}



void SqlGuiPart::initActions(){
	
  fileNewBase = new KAction( kl->translate(i18n("Create &Base")) , "filenew", 0, this, SLOT(slotBaseNew()), actionCollection(), "file_create_base");
  fileReConnect = new KAction(kl->translate(i18n("&Reconnect")), "reload", 0, this, SLOT(slotDocReConnect()), actionCollection(), "file_reconnect_base");
  fileNew = new KAction(kl->translate(i18n("Create &Table")), "filenew", 0, this, SLOT(slotFileNew()), actionCollection(), "file_create_table");
  fileDeleteTable = new KAction(kl->translate(i18n("Delete Table")), "fileclose", 0, this, SLOT(slotDeleteTableRequest()), actionCollection(), "file_delete_table");
  fileDeleteBase = new KAction(kl->translate(i18n("Delete Base")), "fileclose", 0, this, SLOT(slotDeleteBaseRequest()), actionCollection(),"file_delete_base");

  databaseInsertData = new KAction(kl->translate(i18n("Insert new data")), "filenew", 0, this, SLOT(slotInsertDataRequest()), actionCollection(),"file_add_tabledata");

  fileOpen = KStdAction::open(this, SLOT(slotFileOpen()), actionCollection());  // open host
  fileOpen->setText(kl->translate( i18n("&Open host")));

  fileOpenRecent = KStdAction::openRecent(this, SLOT(slotFileOpenRecent(const KURL&)), actionCollection());

  fileSave = KStdAction::save(this, SLOT(slotFileSave()), actionCollection());
  fileSaveAs = KStdAction::saveAs(this, SLOT(slotFileSaveAs()), actionCollection());
  fileClose = KStdAction::close(this, SLOT(slotFileClose()), actionCollection());
  filePrint = KStdAction::print(this, SLOT(slotFilePrint()), actionCollection());
  fileQuit = KStdAction::quit(this, SLOT(slotFileClose()), actionCollection());
  editCut = KStdAction::cut(this, SLOT(slotEditCut()), actionCollection());
  editCopy = KStdAction::copy(this, SLOT(slotEditCopy()), actionCollection());
  editPaste = KStdAction::paste(this, SLOT(slotEditPaste()), actionCollection());
  //viewToolBar = KStdAction::showToolbar(this, SLOT(slotViewToolBar()), actionCollection());
  //viewStatusBar = KStdAction::showStatusbar(this, SLOT(slotViewStatusBar()), actionCollection());
  setFastMode = new KToggleAction(kl->translate( i18n("Fast-Mode (experimental)")), QIconSet( QPixmap() ), 0, this, SLOT(slotSetFastMode()), actionCollection(),"set_fastmode");

  reportDoQuery1 = new KAction(kl->translate(i18n("Do Query1")), "filenew", 0, this, SLOT(slotDoReport1()), actionCollection(),"do_report_query1");
  reportDoQuery2 = new KAction(kl->translate(i18n("Do Query2")), "filenew", 0, this, SLOT(slotDoReport2()), actionCollection(),"do_report_query2");
  reportDoQuery3 = new KAction(kl->translate(i18n("Do Query3")), "filenew", 0, this, SLOT(slotDoReport3()), actionCollection(),"do_report_query3");
  reportDoQuery4 = new KAction(kl->translate(i18n("Do Query4")), "filenew", 0, this, SLOT(slotDoReport4()), actionCollection(),"do_report_query4");
  reportDoQuery5 = new KAction(kl->translate(i18n("Do Query5")), "filenew", 0, this, SLOT(slotDoReport5()), actionCollection(),"do_report_query5");
  reportDoQuery6 = new KAction(kl->translate(i18n("Do Query6")), "filenew", 0, this, SLOT(slotDoReport6()), actionCollection(),"do_report_query6");
  reportDoQuery7 = new KAction(kl->translate(i18n("Do Query7")), "filenew", 0, this, SLOT(slotDoReport7()), actionCollection(),"do_report_query7");
  reportDoQuery8 = new KAction(kl->translate(i18n("Do Query8")), "filenew", 0, this, SLOT(slotDoReport8()), actionCollection(),"do_report_query8");
  reportDoQuery9 = new KAction(kl->translate(i18n("Do Query9")), "filenew", 0, this, SLOT(slotDoReport9()), actionCollection(),"do_report_query9");
  reportDoQuery10= new KAction(kl->translate(i18n("Do Query10")),"filenew", 0, this, SLOT(slotDoReport10()), actionCollection(),"do_report_query10");

  editReportQueries= new KAction(kl->translate(i18n("Edit Reports")),"filenew", 0, this, SLOT(slotEditReportQueries()), actionCollection(),"edit_report_queries");

  
  fileNew->setToolTip(kl->translate( i18n("Creates a new table")));
  fileOpen->setToolTip(kl->translate(i18n("Opens a connection to a mysql-host")));
  fileOpenRecent->setToolTip(kl->translate(i18n("Opens a recently used file")));
  fileSave->setToolTip(kl->translate(i18n("Saves the actual document")));
  fileSaveAs->setToolTip(kl->translate(i18n("Saves the actual document as...")));
  fileClose->setToolTip(kl->translate(i18n("Closes the actual document")));
  filePrint ->setToolTip(kl->translate(i18n("Prints out the actual document")));
  fileQuit->setToolTip(kl->translate(i18n("Quits the application")));
  editCut->setToolTip(kl->translate(i18n("Cuts the selected section and puts it to the clipboard")));
  editCopy->setToolTip(kl->translate(i18n("Copies the selected section to the clipboard")));
  editPaste->setToolTip(kl->translate(i18n("Pastes the clipboard contents to actual position")));
  //viewToolBar->setToolTip(kl->translate(i18n("Enables/disables the toolbar")));
  //viewStatusBar->setToolTip(kl->translate(i18n("Enables/disables the statusbar")));
  setFastMode->setToolTip(kl->translate(i18n("Enables/disables fastmode")));

}

void SqlGuiPart::slotInsertDataRequest(){
  view->slotAddTableData();
}

void SqlGuiPart::initDocument( int type ){
  switch(type){
    case SQLGUI_MYSQL :{

      //
      // the good old times...
      // doc = (SqlGuiDoc*) new SqlGuiDocMysql( myParentWidget );
      //

      // now: load backendlibrary...
      backendlib = dlopen("libsqlguimysql.so", RTLD_LAZY);
      if (!backendlib){
        // hmm... no lib... :|
        // std::cout << "No libsqlguimysql found...: \n" << dlerror() << endl;
        QString *err = new QString( kl->translate(i18n("No libsqlguimysql found.")) );
        slotDisplayErrorMsg( err );
      } else {
        create_doc  = (create_t*)  dlsym( backendlib, "create" );
        destroy_doc = (destroy_t*) dlsym( backendlib, "destroy" );
        doc = create_doc( myParentWidget );
      }
      break;
    }
    case SQLGUI_PGSQL :{
      backendlib = dlopen("libsqlguipgsql.so", RTLD_LAZY);
      if (!backendlib){
        // hmm... no lib... :|
        // std::cout << "No libsqlguipgsql found...: \n" << dlerror() << endl;
        QString *err = new QString( kl->translate(i18n("No libsqlguipgsql found.")) );
        slotDisplayErrorMsg( err );
      } else {
        create_doc  = (create_t*)  dlsym( backendlib, "create" );
        destroy_doc = (destroy_t*) dlsym( backendlib, "destroy" );
        doc = create_doc( myParentWidget );
      }
      break;
    }
    case SQLGUI_SAPDB :{
      backendlib = dlopen("libsqlguisapdb.so", RTLD_LAZY);
      if (!backendlib){
        // hmm... no lib... :|
        // std::cout << "No libsqlguisapdb found...: \n" << dlerror() << endl;
        QString *err = new QString( kl->translate(i18n("No libsqlguisapdb found.")) );
        slotDisplayErrorMsg( err );
      } else {
        create_doc  = (create_t*)  dlsym( backendlib, "create" );
        destroy_doc = (destroy_t*) dlsym( backendlib, "destroy" );
        doc = create_doc( myParentWidget );
      }
      break;
    }
    case SQLGUI_IBMDB2 :{
      backendlib = dlopen("libsqlguiibmdb2.so", RTLD_LAZY);
      if (!backendlib){
        // hmm... no lib... :|
        // std::cout << "No libsqlguiibmdb2 found...: \n" << dlerror() << endl;
        QString *err = new QString( kl->translate(i18n("No libsqlguiibmdb2 found.")) );
        slotDisplayErrorMsg( err );
      } else {
        create_doc  = (create_t*)  dlsym( backendlib, "create" );
        destroy_doc = (destroy_t*) dlsym( backendlib, "destroy" );
        doc = create_doc( myParentWidget );
      }
      break;
    }
    case SQLGUI_ORACLE :{
      backendlib = dlopen("libsqlguioracle.so", RTLD_LAZY);
      if (!backendlib){
        // hmm... no lib... :|
        // std::cout << "No libsqlguioracle found...: \n" << dlerror() << endl;
        QString *err = new QString( kl->translate(i18n("No libsqlguioracle found.")) );
        slotDisplayErrorMsg( err );
      } else {
        create_doc  = (create_t*)  dlsym( backendlib, "create" );
        destroy_doc = (destroy_t*) dlsym( backendlib, "destroy" );
        doc = create_doc( myParentWidget );
      }
      break;
    }

  }
  if(doc){
    doc->newDocument();
  }
}

void SqlGuiPart::initView( QWidget* parentWidget ){ 
  view = new SqlGuiView( (QWidget*) parentWidget);
  setWidget(view);
  view->show();
  ((QWidget*)view)->setFocus();
}

void SqlGuiPart::openDocumentFile(const KURL& url){
  fileOpenRecent->addURL( url );
  saveOptions();
}


SqlGuiDoc *SqlGuiPart::getDocument() const{
  // std::cout << "...entering SqlGuiPart::getDocument" << endl;
  return doc;
}

SqlGuiView *SqlGuiPart::getView() const{
  return view;
}

void SqlGuiPart::slotDoReport(int i){
	QString* q = 0;
	switch ( i ) {
		case 1:{
			q = &r1;
			break;
		} 
		case 2:{
			q = &r2;
			break;
		} 
		case 3:{
			q = &r3;
			break;
		} 
		case 4:{
			q = &r4;
			break;
		} 
		case 5:{
			q = &r5;
			break;
		} 
		case 6:{
			q = &r6;
			break;
		} 
		case 7:{
			q = &r7;
			break;
		} 
		case 8:{
			q = &r8;
			break;
		} 
		case 9:{
			q = &r9;
			break;
		} 
		case 10:{
			q = &r10;
			break;
		} 
	}
	if ( q != 0 ){
		doc->slotDoQuery( view->selectedDB(), q);
	}
}

void SqlGuiPart::slotDoReport1(){
	//std::cout << "do report query1" << endl;
	slotDoReport(1);
}
void SqlGuiPart::slotDoReport2(){
	//std::cout << "do report query2" << endl;
	slotDoReport(2);
}
void SqlGuiPart::slotDoReport3(){
	//std::cout << "do report query3" << endl;
	slotDoReport(3);
}
void SqlGuiPart::slotDoReport4(){
	//std::cout << "do report query4" << endl;
	slotDoReport(4);
}
void SqlGuiPart::slotDoReport5(){
	//std::cout << "do report query5" << endl;
	slotDoReport(5);
}
void SqlGuiPart::slotDoReport6(){
	//std::cout << "do report query6" << endl;
	slotDoReport(6);
}
void SqlGuiPart::slotDoReport7(){
	//std::cout << "do report query7" << endl;
	slotDoReport(7);
}
void SqlGuiPart::slotDoReport8(){
	//std::cout << "do report query8" << endl;
	slotDoReport(8);
}
void SqlGuiPart::slotDoReport9(){
	//std::cout << "do report query9" << endl;
	slotDoReport(9);
}
void SqlGuiPart::slotDoReport10(){
	//std::cout << "do report query10" << endl;
	slotDoReport(10);
}
void SqlGuiPart::slotEditReportQueries(){
	//std::cout << "Edit Report Queries" << endl;
  
	re->slotSetReport1( r1 );
	re->slotSetReport2( r2 );
	re->slotSetReport3( r3 );
	re->slotSetReport4( r4 );
	re->slotSetReport5( r5 );
	re->slotSetReport6( r6 );
	re->slotSetReport7( r7 );
	re->slotSetReport8( r8 );
	re->slotSetReport9( r9 );
	re->slotSetReport10( r10 );
	
	re->show();
	
	
}

void SqlGuiPart::slotSetReport( int i, QString q ){
	switch (i){
		case 1:{
			r1 = q;
			reportDoQuery1->setText(r1);
			break;
		}
		case 2:{
			r2 = q;
			reportDoQuery2->setText(r2);
			break;
		}
		case 3:{
			r3 = q;
			reportDoQuery3->setText(r3);
			break;
		}
		case 4:{
			r4 = q;
			reportDoQuery4->setText(r4);
			break;
		}
		case 5:{
			r5 = q;
			reportDoQuery5->setText(r5);
			break;
		}
		case 6:{
			r6 = q;
			reportDoQuery6->setText(r6);
			break;
		}
		case 7:{
			r7 = q;
			reportDoQuery7->setText(r7);
			break;
		}
		case 8:{
			r8 = q;
			reportDoQuery8->setText(r8);
			break;
		}
		case 9:{
			r9 = q;
			reportDoQuery9->setText(r9);
			break;
		}
		case 10:{
			r10 = q;
			reportDoQuery10->setText(r10);
			break;
		}
	
	}
}

void SqlGuiPart::slotSetReport1( QString q ){
	slotSetReport( 1, q );
}
void SqlGuiPart::slotSetReport2( QString q ){
	slotSetReport( 2, q );
}
void SqlGuiPart::slotSetReport3( QString q ){
	slotSetReport( 3, q );
}
void SqlGuiPart::slotSetReport4( QString q ){
	slotSetReport( 4, q );
}
void SqlGuiPart::slotSetReport5( QString q ){
	slotSetReport( 5, q );
}
void SqlGuiPart::slotSetReport6( QString q ){
	slotSetReport( 6, q );
}
void SqlGuiPart::slotSetReport7( QString q ){
	slotSetReport( 7, q );
}
void SqlGuiPart::slotSetReport8( QString q ){
	slotSetReport( 8, q );
}
void SqlGuiPart::slotSetReport9( QString q ){
	slotSetReport( 9, q );
}
void SqlGuiPart::slotSetReport10( QString q ){
	slotSetReport( 10, q );
}


void SqlGuiPart::saveOptions(){	
  config->setGroup("General Options");
  config->setReadOnly(false);
  config->writeEntry("Fast-Mode",setFastMode->isChecked());
  fileOpenRecent->saveEntries(config);
  
  config->writeEntry("Report01", r1);
  config->writeEntry("Report02", r2);
  config->writeEntry("Report03", r3);
  config->writeEntry("Report04", r4);
  config->writeEntry("Report05", r5);
  config->writeEntry("Report06", r6);
  config->writeEntry("Report07", r7);
  config->writeEntry("Report08", r8);
  config->writeEntry("Report09", r9);
  config->writeEntry("Report10", r10);
  
  config->sync();
}

QString SqlGuiPart::getHostname(){
  if(doc) return doc->getHost();
  else return NULL;
}

QString SqlGuiPart::getBasename(){
  if(doc) return doc->getBase();
  else return NULL;
}

QString SqlGuiPart::getUser(){
  if( doc) return doc->getUser();
  else return NULL;
}

QString SqlGuiPart::getProtocol(){
  if(doc){
    return( doc->getProtocol() );
  } else {
    return( QString::QString("") );
  }
}


void SqlGuiPart::readOptions(){
	
  config->setGroup("General Options");

  // Fast-Mode (Default: use fastmode):
  bool bFastMode = config->readBoolEntry("Fast-Mode", true);
  setFastMode->setChecked(bFastMode);

  // Recent files:
  fileOpenRecent->loadEntries(config);
  
  r1 = config->readEntry("Report01");
  r2 = config->readEntry("Report02");
  r3 = config->readEntry("Report03");
  r4 = config->readEntry("Report04");
  r5 = config->readEntry("Report05");
  r6 = config->readEntry("Report06");
  r7 = config->readEntry("Report07");
  r8 = config->readEntry("Report08");
  r9 = config->readEntry("Report09");
  r10 = config->readEntry("Report10");

  reportDoQuery1->setText(r1);
  reportDoQuery2->setText(r2);
  reportDoQuery3->setText(r3);
  reportDoQuery4->setText(r4);
  reportDoQuery5->setText(r5);
  reportDoQuery6->setText(r6);
  reportDoQuery7->setText(r7);
  reportDoQuery8->setText(r8);
  reportDoQuery9->setText(r9);
  reportDoQuery10->setText(r10);
}

bool SqlGuiPart::queryClose(){
  saveOptions();
  return true;
}

bool SqlGuiPart::queryExit(){
  saveOptions();
  return true;
}

void SqlGuiPart::slotDisplayErrorMsg(QString * msg){
  QMessageBox::information( myParentWidget, kl->translate(i18n( "ERROR" )), kl->translate(i18n( msg->latin1() )) );
  slotSomethingWeirdHappened();
}

void SqlGuiPart::slotFileNew(){

  if(isConnected()){
    tableGenerator *tGen = new tableGenerator(view->selectedDB() );
    tGen->show();

    connect( tGen, SIGNAL( createTableRequest( QString*, QString* ) ), doc, SLOT(slotDoQuery(QString*, QString* )) );
    connect( tGen, SIGNAL( successfull() ), doc, SLOT( slotReConnect() ) );
    connect( doc, SIGNAL( QueryDone() ), tGen, SLOT( accept() ) );

  }	
}

void SqlGuiPart::slotBaseNew(){

  // std::cout << "SQLGUI: Request for creating base " << endl;
  if( isConnected()){
    baseCreator *bGen = new baseCreator( myParentWidget );
    bGen->show();
    connect( bGen, SIGNAL( createRequest( QString* ) ), doc, SLOT( slotDbCreate( QString* ) ) );
  }
}

void SqlGuiPart::slotFileOpen(){
  LoginBox * log_box;
  log_box = new LoginBox( myParentWidget, "Login_box", false, 0 );
  log_box->show();
//  connect( log_box, SIGNAL( loginRequest( QString, QString, QString )  ), doc, SLOT( slotDoLogin( QString, QString, QString )  ) );
//  connect( log_box, SIGNAL( loginRequest( QString, QString, QString )  ), this, SLOT( slotAddConn()  ) );
  connect( log_box, SIGNAL( loginRequest( QString, QString, QString, QString, int )  ), this, SLOT( slotLoginData( QString, QString, QString, QString, int )  ) );
  connect( log_box, SIGNAL( loginRequest( QString, QString, QString, QString, int )  ), this, SLOT( slotAddConnData(QString, QString, QString, QString, int )  ) );

}

bool SqlGuiPart::openURL(const KURL& _url){

  //  fileOpenRecent->addURL( _url );
  //	saveOptions();

  // Kio-Support Job:
  //m_job = KIO::get( _url, false, false );
  //connect( m_job, SIGNAL( data( KIO::Job*, const QByteArray &)),
  //         this,  SLOT( slotData( KIO::Job*, const QByteArray &)));
  //connect( m_job, SIGNAL( redirection( KIO::Job*, const KURL &)),
  //         this,  SLOT( slotRedirection( KIO::Job*, const KURL &)));

	
  // Traditional, no KIO-support. Open directly:
  slotFileOpenRecent( _url );
  emit( setWindowCaption( _url.prettyURL() ) );
  return true;
}

bool SqlGuiPart::openFile(){
  return true;
}

//void SqlGuiPart::slotRedirection( KIO::Job*, const KURL & url){
//  openURL( url );
//}

void SqlGuiPart::slotFileOpenRecent(const KURL& _url){
	
  QString u = _url.user();
  QString h = _url.host();
  unsigned short int po = _url.port();
  QString p = _url.pass();
  QString b = _url.path();
  b.replace(QRegExp("^/"), "");

  int dbtype = 0;

  QString proto = _url.protocol();
  // MYSQL:
  if ( proto.compare("mysql") == 0  ){
    dbtype = SQLGUI_MYSQL ;
  }
  // PostgreSQL:
  if ( proto.compare("pgsql") == 0  ){
    dbtype = SQLGUI_PGSQL ;
  }
  // SAPDB:
  if ( proto.compare("sapdb") == 0  ){
    dbtype = SQLGUI_SAPDB ;
  }
  // IBMDB2:
  if ( proto.compare("ibmdb2") == 0  ){
    dbtype = SQLGUI_IBMDB2 ;
  }
  // ORACLE:
  if ( proto.compare("oracle") == 0  ){
    dbtype = SQLGUI_ORACLE ;
  }


  // std::cout << endl << endl;		
  // std::cout << "KURL: " << _url.url().latin1() << endl;		
  // std::cout << "recent user: " << u.latin1() << endl;
  // std::cout << "recent host: " << h.latin1() << endl;
  // std::cout << "recent port: " << po << endl;
  // std::cout << "recent pass: " << p.latin1() << endl << endl;

  if (po > 0){
    h.append(":");
    QString pnum;
    pnum.setNum( po );
    h.append( pnum );
  }

  LoginBox * box;
  box = new LoginBox( myParentWidget, "LoginBox", false, 0, h, u, b, dbtype );

  box->show();

  connect( box, SIGNAL( loginRequest( QString, QString, QString, QString, int )  ), this, SLOT( slotLoginData( QString, QString, QString, QString, int )  ) );
  connect( box, SIGNAL( loginRequest( QString, QString, QString, QString, int )  ), this, SLOT( slotAddConnData(QString, QString, QString, QString, int )  ) );

}

void SqlGuiPart::slotLoginData(QString h, QString u, QString p, QString b, int type ){

  if(doc){
    //    delete doc;
    // hier nachbessern!!! doc mit destoy(doc) entfernen
    if (backendlib){
      destroy_doc( doc );
      dlclose( backendlib );
    } else {
      doc = NULL;
    }
  }
  createDocument( type ); // loads the backendlib, creates a new instance of SqlGuiDoc and sets the pointer doc on it.
  if(doc) doc->slotDoLogin(h,u,p,b);

}

void SqlGuiPart::slotFileSave(){
  view->slotExport();
}

void SqlGuiPart::slotFileSaveAs(){
  view->slotExport();
}

void SqlGuiPart::slotAddConnData( QString h, QString u, QString p, QString b, int type ){
  KURL  rec_entry;
  rec_entry.setUser( u );
  rec_entry.setHost( h );
#ifdef SAVEPASSINSECURE	
  rec_entry.setPass( p );
#endif
  b.prepend("/");
  rec_entry.setPath( b );
  // hier type abfragen
  switch( type ){
    case SQLGUI_MYSQL : {
      rec_entry.setProtocol( "mysql" );
      break;
    }
    case SQLGUI_PGSQL : {
      rec_entry.setProtocol( "pgsql" );
      break;
    }
    case SQLGUI_SAPDB : {
      rec_entry.setProtocol( "sapdb" );
      break;
    }
    case SQLGUI_IBMDB2 : {
      rec_entry.setProtocol( "ibmdb2" );
      break;
    }
    case SQLGUI_ORACLE : {
      rec_entry.setProtocol( "oracle" );
      break;
    }
  }
//  rec_entry.setProtocol( "mysql" );

  if ( rec_entry.isValid() )fileOpenRecent->addURL( rec_entry );
  // std::cout << "URL: " << rec_entry.url().latin1() << endl;
  saveOptions();
}

void SqlGuiPart::slotAddConn(){
  KURL  rec_entry;
  rec_entry.setUser( doc->getUser() );
  rec_entry.setHost( doc->getHost() );
  rec_entry.setPort( doc->getPort() );
  /*
   * Note: KDE seems to strip away all passwords from URLs when adding them to the
   * recent-files-dialog. You may enable this, by exporting CXXFLAGS=SAVEPASSINSECURE,
   * but it won't give you the passwords back, if KDE doesn't allow it... :(
   *
   */
#ifdef SAVEPASSINSECURE	
  rec_entry.setPass( doc->getPass() );
#endif
  rec_entry.setProtocol( "mysql" );
  if ( rec_entry.isValid() )fileOpenRecent->addURL( rec_entry );
  // std::cout << "URL: " << rec_entry.url().latin1() << endl;
  saveOptions();
}

void SqlGuiPart::slotFileClose()
{
  // std::cout << "slotFileClose..." << endl;
  saveOptions();
  doc->slotClearMemory();
  view->slotUpdateResultList();
}

void SqlGuiPart::slotFilePrint(){
  //  QPrinter printer;
  //  if (printer.setup(this))
  //  {
  //    view->print(&printer);
  //  }
}

void SqlGuiPart::slotFileQuit(){
  // ?
}

void SqlGuiPart::slotEditCut(){
}

void SqlGuiPart::slotEditCopy(){
}

void SqlGuiPart::slotEditPaste(){
}

void SqlGuiPart::slotSetFastMode(){
  if(!setFastMode->isChecked()){
    view->slotSetFast(false);
  } else {
    view->slotSetFast(true);
  }
  saveOptions();
}


void SqlGuiPart::slotStatusMsg(const QString &text){
  emit( setStatusBarText( text ) );
}

